com.rscja.deviceapi.interfaces

## Interface IHandheldRFID

- All Known Subinterfaces:
    IRFIDWithUHFUSB, IUhfBle
  All Known Implementing Classes:
    EmptyUhfBle, M775Authenticate, M775Authenticate_mtk, M775Authenticate_qcom, RFIDWithUHFA4, RFIDWithUHFA4_qcom, RFIDWithUHFA8, RFIDWithUHFA8_qcom, RFIDWithUHFAxBase, RFIDWithUHFAxBase_qcom, RFIDWithUHFBLE, RFIDWithUHFBLE_qcom, RFIDWithUHFBLEN51_qcom, RFIDWithUHFBLEN52_qcom, RFIDWithUHFJieCe, RFIDWithUHFJieCe_qcom, RFIDWithUHFRLM, RFIDWithUHFRLM_qcom, RFIDWithUHFShuangYingDianZi_qcom, RFIDWithUHFUART, RFIDWithUHFUART_mtk, RFIDWithUHFUART_qcom, RFIDWithUHFUARTUAE_qcom, RFIDWithUHFUSB, RFIDWithUHFUSB_qcom, UHFCSYX, UHFCSYX_qcom, UHFTamperAPI, UHFTamperAPI_qcom, UHFTemperatureSensors, UHFTemperatureTag, UHFTemperatureTag.RFIDWithUHFBLEN51, UHFTemperatureTag.RFIDWithUHFBLEN52, UHFTemperatureTagsAPI, UHFTemperatureTagsAPI_mtk, UHFTemperatureTagsAPI_qcom, UHFTemperatureTagsBLEAPI, UHFUartFoxconn, UHFUartFoxconn_mtk, UHFUartFoxconn_qcom, UHFUartTemperatureTag, UHFXSAPI

      public interface IHandheldRFID

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITagLocate` | `getTagLocate(android.content.Context context)`
    `boolean` | `setDynamicDistance(int value)` Radar positioning dynamically adjusts distance.
    `boolean` | `startLocation(android.content.Context context, java.lang.String label, int bank, int ptr, IUHFLocationCallback locationCallback)`
    `boolean` | `startRadarLocation(android.content.Context context, java.lang.String tag, int bank, int ptr, IUHFRadarLocationCallback locationCallback)` 开始定位 Start location
    `boolean` | `stopLocation()`
    `boolean` | `stopRadarLocation()`

- - ### Method Detail

    - #### getTagLocate

          ITagLocate getTagLocate(android.content.Context context)

    - #### stopLocation

          boolean stopLocation()

    - #### startLocation

          boolean startLocation(android.content.Context context,
                                java.lang.String label,
                                int bank,
                                int ptr,
                                IUHFLocationCallback locationCallback)

    - #### stopRadarLocation

          boolean stopRadarLocation()

    - #### startRadarLocation

          boolean startRadarLocation(android.content.Context context,
                                     java.lang.String tag,
                                     int bank,
                                     int ptr,
                                     IUHFRadarLocationCallback locationCallback)

      开始定位
      Start location
      Parameters:
        `context` - context
        `tag` - 要定位的标签(locate to the label)
        `bank` - 标签的存储区(Storage area):`#Bank_RESERVED`、`#Bank_EPC`、`#Bank_TID`、`#Bank_USER`
        `ptr` - 起始地址的偏移量(start address)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setDynamicDistance

          boolean setDynamicDistance(int value)

      Radar positioning dynamically adjusts distance.
      Parameters:
        `value` - 1-30
      Returns: